View Issue Details

IDProjectCategoryLast Update
0012427Bionic Dues[All Projects] Bug - GameplaySep 26, 2013 1:57 pm
ReporterAesonAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.909 
Fixed in Version 
Summary0012427: Assassination missions can have 0 bosses as targets when bosses present in final army
DescriptionIn the attached savegame AssassinBug, I have not yet made any moves in the mission. In the city screen, 2 TethysBots and 2 ScorpionBots are listed as part of the final army, but the Assassination mission does not have any bosses present. According to reply number 57 in http://www.arcengames.com/forums/index.php/topic,13800.45.html, there should only be 0 bosses present in an Assassinatino mission if there are 0 bosses present in the final army.

The savegame AssassinTest is the city map level save for just prior to entering the Assassination mission just North of the HQ. Note that the 0 bosses present bug does not always occur - you may need to reload and start the mission one or two times before the bug shows up.
TagsNo tags attached.
Internal WeightMajor Problem

Activities

Aeson

Sep 13, 2013 9:57 pm

reporter  

AssassinTest.zip (12,626 bytes)

keith.lamothe

Sep 26, 2013 1:57 pm

administrator   ~0034087

Thanks for the saves, that does make retesting much easier.

I just retested from AssassinTest.save in 0.922 and generated the mission about 10 times, and every time it added bosses.

So feel free to reopen this if you see it again, but otherwise it looks fixed :)

Issue History

Date Modified Username Field Change
Sep 13, 2013 9:57 pm Aeson New Issue
Sep 13, 2013 9:57 pm Aeson File Added: AssassinTest.zip
Sep 15, 2013 4:20 pm tigersfan Internal Weight => Major Problem
Sep 15, 2013 4:20 pm tigersfan Assigned To => x4000Bughunter
Sep 15, 2013 4:20 pm tigersfan Status new => assigned
Sep 26, 2013 1:57 pm keith.lamothe Note Added: 0034087
Sep 26, 2013 1:57 pm keith.lamothe Status assigned => resolved
Sep 26, 2013 1:57 pm keith.lamothe Resolution open => fixed